<template>
<div class="col-md-12">
    <div class="education_main_wrapper" v-for="(item , id) in educations" :key="id">
        <firstEducations v-if="item.sectionNumber == 1">
            <h1 slot="date">{{item.date}}</h1>
            <h4 slot="id">0{{item.id}}</h4>
            <h4 slot="title">{{item.name}}</h4>
            <h3 class="education_place" slot="text"><span data-hover="Diploma" class="data_hover" slot="text">{{item.title}}</span></h3>
            <p slot="text">{{item.text}}</p>
        </firstEducations>

    <!-- first box -->

    <!-- second box -->

        <secondEducation v-else>
           
            <h4 slot="title">{{item.name}}</h4>
            <h4 slot="id">0{{item.id}}</h4>
            <h3 class="education_place" slot="text"><span data-hover="Diploma" class="data_hover" slot="text">{{item.title}}</span></h3>
            <p slot="text">{{item.text}}</p>
            <h1 slot="date">{{item.date}}</h1>
        </secondEducation>
    </div>
</div>

</template>
<script>

import firstEducations from './firstEducations'
import secondEducation from './secondEducation'
import  { mapGetters  } from 'vuex';

export default {
    name :"generationEducations",
    data: function(){
        return {
            item : "",
            
        }   
    },
    components : {
        firstEducations,
        secondEducation
    },
    computed: { 
        ...mapGetters({
            educations : 'allEducations'
            
        })
        

    },
    mounted() {
        this.$store.dispatch('getAllEducations');
    }

}
</script>
<style>
</style>